Subject: Re: How to use __DYNAMIC_REENT__ correctly in multithreaded applications?
From: "J. Johnston" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 22 Aug 2003 16:01:44 -0400

Corinna Vinschen wrote:
> On Fri, Aug 22, 2003 at 03:05:57PM -0400, J. Johnston wrote:
> 
>>A monster patch has been checked in.  I found a problem in 
>>stdio64/fseeko64.c
>>using struct stat when calling _fstat64_r. I could not switch to use stat64
>>as Cygwin has not defined it externally.  For now, stdio64/fseeko64.c will 
>>use _fstat_r
>>instead of _fstat64_r.
> 
> 
> What about _stat64, which is defined externally.  I don't understand the
> rule, in which case newlib calls foo() and in which case it calls _foo().
>

For clarification, I am not referring to a function, I am referring to the struct stat64
which is needed as an argument to _fstat64_r or _stat64 for that matter.  There is no struct
stat64 or struct _stat64 defined externally under Cygwin.  The compiler fails because
it does not know the size of the structure.  Under linux, the type is defined and this is not a
problem.

-- Jeff J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/